JDialog:
  name: frame
  title: frame.title
  size: packed
  locationRelativeTo: null
  defaultCloseOperation: doNothingOnClose
  onWindowClosing: [confirm,close]
  iconImage: img.ae
  modalityType: applicationModal
  content:
    - JButton(name=btnAbort, text=btnAbort.title, icon=img.stop, onAction=[confirm,close])
    - JLabel(name=lblName, text=lblName.title)
    - JLabel(name=lblNameVal, font=14pt)
    - JLabel(name=lblIsDep, text=lblIsDep.title, foreground=darkred, visible=false)
    - JLabel(name=lblElapsed, text=lblElapsed.title)
    - JLabel(name=lblElapsedVal)
    - JLabel(name=lblRemaining, text=lblRemaining.title)
    - JLabel(name=lblRemainingVal)
    - JLabel(name=lblRate, text=lblRate.title)
    - JLabel(name=lblRateVal)
    - JLabel(name=lblDownloaded, text=lblDownloaded.title)
    - JLabel(name=lblDownloadedVal)
    - JLabel(name=lblTotal, text=lblTotal.title)
    - JLabel(name=lblTotalVal)
    - JProgressBar(name=progress)
    - MigLayout: |
         [grow]
         lblName<,lblNameVal<,lblIsDep<                                  [min]
         lblElapsed=1,lblElapsedVal=2,lblRemaining=1,lblRemainingVal=2   [min]
         lblDownloaded=1,lblDownloadedVal=2,lblTotal=1,lblTotalVal=2     [min]
         lblRate=1,lblRateVal=2                                          [min]
         progress                                                        [min]
         >btnAbort^                                                      [min]
